unit trijed;
(*******************************)


interface
(*******************************)

type smernik = ^struct;
     struct  =  record
                  hodnota : integer;
                  sused   : smernik;
                end;

     zoznam  =  record
                  z : smernik;
                  k : smernik;
                end;

     trizozn =  array[1..3] of zoznam;
     trifile =  array[1..3] of text;
     trimeno =  array[1..3] of string;


function otvaraj(var subor:text; meno:string) : boolean;
function dajslovo(var subor:text) : string;
function atoi(slovo:string) : integer;
procedure pichnihotam(var kde:zoznam; co:integer);
procedure vypisuj(skade:smernik);


implementation
(*******************************)

(* otvori subor na citanie a vrati false ak je problem *)
function otvaraj(var subor:text; meno:string) : boolean;
begin
  otvaraj:=true;
  {$I-}
    assign(subor, meno); reset(subor); if ioresult<>0 then otvaraj:=false;
  {$I+}
end;

(* vrati retazec znakov medzi medzerami a pod. *)
function dajslovo(var subor:text) : string;
var slovo : string;
    znak  : char;
begin
  slovo:=''; dajslovo:=slovo;
  repeat
    read(subor, znak);
    if eof(subor) then exit;
  until ord(znak)>32;
  slovo:=slovo+znak;
  repeat
    if eof(subor) then exit;
    read(subor, znak);
    if ord(znak)>32 then slovo:=slovo+znak;
    dajslovo:=slovo;
  until ord(znak)<=32;
end;

(* robi atoi() *)
function atoi(slovo:string) : integer;
var cifslo, hrabjecody : integer;
begin
  val (slovo, cifslo, hrabjecody);
  atoi:=cifslo;
end;

(* vlozi co na koniec lin zoznamu kde *)  
procedure pichnihotam(var kde:zoznam; co:integer);
var novy : smernik;
begin
  new(novy);
  kde.k^.sused:=novy;
  with novy^ do begin
    hodnota:=co;
    sused:=nil;
  end;
  kde.k:=novy;
  if kde.z=nil then kde.z:=novy;
end;

(* vypisuje prvky lin zoznamu *)
procedure vypisuj(skade:smernik);
var clen : smernik;
begin
  clen:=skade;
  while clen<>nil do begin
    write(clen^.hodnota, ', ');
    clen:=clen^.sused;
  end;
  writeln;
end;

begin
(*******************************)

end.
